Page MenuHomePhabricator

Add a model for uploads-in-process in MediaWiki core
Closed, ResolvedPublic

Description

Things needed:

  • Add file from fileApi - http://www.w3.org/TR/FileAPI/ - see UploadWizard for current implementation
  • Use stash option in mw.Api.plugin.upload after it's added in T103399
  • Set description page text for upload
  • (obviously) start upload process via mw.Api.plugin.upload, save stashed file

Event Timeline

MarkTraceur raised the priority of this task from to Medium.
MarkTraceur updated the task description. (Show Details)
MarkTraceur added a subscriber: MarkTraceur.
Restricted Application added a project: Multimedia. · View Herald TranscriptJun 22 2015, 8:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptJul 2 2015, 5:02 PM

Change 223163 had a related patch set uploaded (by MarkTraceur):
Add mw.Upload for easy tracking of uploads

https://gerrit.wikimedia.org/r/223163

Change 223163 merged by jenkins-bot:
Add mw.Upload for easy tracking of uploads

https://gerrit.wikimedia.org/r/223163

Jdforrester-WMF closed this task as Resolved.Jul 13 2015, 6:06 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF set Security to None.